function pol_histo=pol_tile(xx,m,s)

for i = 3:size(xx,2)
for k=1:s
ind1=find(m{i}<=k*2*pi/s);
ind2=find(m{i}>=(k-1)*2*pi/s);
ind=intersect(ind1,ind2);
result(i,k)=sum(xx{i}(ind));

end
pol_histo{i}=result(i,:);
end
